searchNodes=[{"doc":"Phone is a real telephone number parser, that will help you get useful information from numbers. How to use Very simple to use: iex&gt; Phone.parse(&quot;555132345678&quot;) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}}","ref":"Phone.html","title":"Phone","type":"module"},{"doc":"Parses a string or integer and returns a map with information about that number. iex&gt; Phone.parse(&quot;555132345678&quot;) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(&quot;+55(51)3234-5678&quot;) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(&quot;55 51 3234-5678&quot;) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(555132345678) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}}","ref":"Phone.html#parse/1","title":"Phone.parse/1","type":"function"},{"doc":"Same as parse/1 but the number doesn&#39;t have the international code, instead you specify country as an atom with two-letters code. For NANP countries you can use the atom :nanp or two-letter codes for any country in NANP. For United Kingdom is possible to use the more known acronym :uk or the official two-letter code :gb. iex&gt; Phone.parse(&quot;5132345678&quot;, :br) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(&quot;(51)3234-5678&quot;, :br) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(&quot;51 3234-5678&quot;, :br) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}} iex&gt; Phone.parse(5132345678, :br) {:ok, %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}}","ref":"Phone.html#parse/2","title":"Phone.parse/2","type":"function"},{"doc":"Same as parse/1, except it raises on error. iex&gt; Phone.parse!(&quot;555132345678&quot;) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(&quot;+55(51)3234-5678&quot;) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(&quot;55 51 3234-5678&quot;) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(555132345678) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}","ref":"Phone.html#parse!/1","title":"Phone.parse!/1","type":"function"},{"doc":"Same as parse/2, except it raises on error. iex&gt; Phone.parse!(&quot;5132345678&quot;, :br) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(&quot;(51)3234-5678&quot;, :br) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(&quot;51 3234-5678&quot;, :br) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;} iex&gt; Phone.parse!(5132345678, :br) %{a2: &quot;BR&quot;, a3: &quot;BRA&quot;, country: &quot;Brazil&quot;, international_code: &quot;55&quot;, area_code: &quot;51&quot;, number: &quot;32345678&quot;, area_abbreviation: &quot;RS&quot;, area_type: &quot;state&quot;, area_name: &quot;Rio Grande do Sul&quot;}","ref":"Phone.html#parse!/2","title":"Phone.parse!/2","type":"function"},{"doc":"Returns true if the number can be parsed, otherwhise returns false. iex&gt; Phone.valid?(&quot;555132345678&quot;) true iex&gt; Phone.valid?(&quot;+55(51)3234-5678&quot;) true iex&gt; Phone.valid?(&quot;55 51 3234-5678&quot;) true iex&gt; Phone.valid?(555132345678) true","ref":"Phone.html#valid?/1","title":"Phone.valid?/1","type":"function"}]